Subject: [PATCH v3 09/11] ASoC: fsl: remove the fatal error checking on codec-handle

From: [email-masked] (Tabi Timur-B04825)
Date: Fri, 16 Mar 2012 01:55:01 +0000

Shawn Guo wrote:
> Hmm, Documentation/devicetree/bindings/sound/imx-audio-sgtl5000.txt
> is the binding document specifically for imx-sgtl5000 driver rather
> than for all fsl_ssi based machine drivers.  Since I have never seen
> and doubt will ever see the setup that two SSIs connect to two
> sgtl5000 codecs on any imx board, I do not see much point to update
> the documentation for that.
>
> If this is indeed a practical setup for PowerPC, it can be documented
> in the binding for PowerPC machine driver when there is future PowerPC
> machine drivers adopting the new binding.

Ok.  I was going to say that I'd like to see a template that applies to 
all SOCs with an SSI, but I guess that won't be that useful.

I'm just concerned that if there's no standard way to create bindings for 
machine drivers, we're going to end up with some kind of mess down the road.

-- 
Timur Tabi
Linux kernel developer at Freescale